Table of Contents | Previous | Next | Index

# Plugin

The public class `Plugin` extends `Object`.

    java.lang.Object
       |
       +----netscape.plugin.Plugin

#### Description

This class represents the Java reflection of a plug-in. Plug-ins that need to have Java methods associated with them should subclass this class and add new (possibly native) methods to it. This allows other Java entities (such as applets and JavaScript code) to manipulate the plug-in.

#### Constructor and Method Summary

The `netscape.plugin.Plugin` class has the following constructors:

Constructor | Description
--- | ---
    Plugin
| Constructs a Plugin.

The `netscape.plugin.Plugin` class has the following methods:

Method | Description
--- | ---
    destroy
| Called when the plug-in is destroyed
    getPeer
| Returns the native NPP object--the plug-in instance that is the native part of a Java `Plugin` object
    getWindow
| Returns the JavaScript window on which the plug-in is embedded
    init
| Called when the plug-in is initialized
    isActive
| Determines whether the Java reflection of a plug-in still refers to an active plug-in

The following sections show the declaration and usage of these constructors and methods.

## destroy

Method. Called when the plug-in is destroyed. You never need to call this method directly, it is called when the plug-in is destroyed. At the point this method is called, the plug-in will still be active.

#### Declaration

    public void destroy()

#### See also

`init`

## getPeer

Method. Returns the native NPP object--the plug-in instance that is the native part of a Java `Plugin` object. This field is set by the system, but can be read from plug-in native methods by calling:

    NPP npp = (NPP)netscape_plugin_Plugin_getPeer(env, thisPlugin);

#### Declaration

    public int getPeer()

## getWindow

Method. Returns the JavaScript window on which the plug-in is embedded.

#### Declaration

    public JSObject getWindow()

## init

Method. Called when the plug-in is initialized. You never need to call this method directly, it is called when the plug-in is created.

#### Declaration

    public void init()

#### See also

`destroy`

## isActive

Method. Determines whether the Java reflection of a plug-in still refers to an active plug-in. Plug-in instances are destroyed whenever the page containing the plug-in is left, thereby causing the plug-in to no longer be active.

#### Declaration

    public boolean isActive()

## Plugin

Constructor. Constructs a `Plugin`.

#### Declaration

    public Plugin()

Table of Contents | Previous | Next | Index

Last Updated: 05/28/99 12:01:20

Copyright (c) 1999 Netscape Communications Corporation